/*******************************************************************************
* File Name: ADC_IN.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_ADC_IN_H) /* Pins ADC_IN_H */
#define CY_PINS_ADC_IN_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "ADC_IN_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 ADC_IN__PORT == 15 && ((ADC_IN__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    ADC_IN_Write(uint8 value) ;
void    ADC_IN_SetDriveMode(uint8 mode) ;
uint8   ADC_IN_ReadDataReg(void) ;
uint8   ADC_IN_Read(void) ;
uint8   ADC_IN_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define ADC_IN_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define ADC_IN_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define ADC_IN_DM_RES_UP          PIN_DM_RES_UP
#define ADC_IN_DM_RES_DWN         PIN_DM_RES_DWN
#define ADC_IN_DM_OD_LO           PIN_DM_OD_LO
#define ADC_IN_DM_OD_HI           PIN_DM_OD_HI
#define ADC_IN_DM_STRONG          PIN_DM_STRONG
#define ADC_IN_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define ADC_IN_MASK               ADC_IN__MASK
#define ADC_IN_SHIFT              ADC_IN__SHIFT
#define ADC_IN_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define ADC_IN_PS                     (* (reg8 *) ADC_IN__PS)
/* Data Register */
#define ADC_IN_DR                     (* (reg8 *) ADC_IN__DR)
/* Port Number */
#define ADC_IN_PRT_NUM                (* (reg8 *) ADC_IN__PRT) 
/* Connect to Analog Globals */                                                  
#define ADC_IN_AG                     (* (reg8 *) ADC_IN__AG)                       
/* Analog MUX bux enable */
#define ADC_IN_AMUX                   (* (reg8 *) ADC_IN__AMUX) 
/* Bidirectional Enable */                                                        
#define ADC_IN_BIE                    (* (reg8 *) ADC_IN__BIE)
/* Bit-mask for Aliased Register Access */
#define ADC_IN_BIT_MASK               (* (reg8 *) ADC_IN__BIT_MASK)
/* Bypass Enable */
#define ADC_IN_BYP                    (* (reg8 *) ADC_IN__BYP)
/* Port wide control signals */                                                   
#define ADC_IN_CTL                    (* (reg8 *) ADC_IN__CTL)
/* Drive Modes */
#define ADC_IN_DM0                    (* (reg8 *) ADC_IN__DM0) 
#define ADC_IN_DM1                    (* (reg8 *) ADC_IN__DM1)
#define ADC_IN_DM2                    (* (reg8 *) ADC_IN__DM2) 
/* Input Buffer Disable Override */
#define ADC_IN_INP_DIS                (* (reg8 *) ADC_IN__INP_DIS)
/* LCD Common or Segment Drive */
#define ADC_IN_LCD_COM_SEG            (* (reg8 *) ADC_IN__LCD_COM_SEG)
/* Enable Segment LCD */
#define ADC_IN_LCD_EN                 (* (reg8 *) ADC_IN__LCD_EN)
/* Slew Rate Control */
#define ADC_IN_SLW                    (* (reg8 *) ADC_IN__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define ADC_IN_PRTDSI__CAPS_SEL       (* (reg8 *) ADC_IN__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define ADC_IN_PRTDSI__DBL_SYNC_IN    (* (reg8 *) ADC_IN__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define ADC_IN_PRTDSI__OE_SEL0        (* (reg8 *) ADC_IN__PRTDSI__OE_SEL0) 
#define ADC_IN_PRTDSI__OE_SEL1        (* (reg8 *) ADC_IN__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define ADC_IN_PRTDSI__OUT_SEL0       (* (reg8 *) ADC_IN__PRTDSI__OUT_SEL0) 
#define ADC_IN_PRTDSI__OUT_SEL1       (* (reg8 *) ADC_IN__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define ADC_IN_PRTDSI__SYNC_OUT       (* (reg8 *) ADC_IN__PRTDSI__SYNC_OUT) 


#if defined(ADC_IN__INTSTAT)  /* Interrupt Registers */

    #define ADC_IN_INTSTAT                (* (reg8 *) ADC_IN__INTSTAT)
    #define ADC_IN_SNAP                   (* (reg8 *) ADC_IN__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_ADC_IN_H */


/* [] END OF FILE */
