/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <project.h>
 
#define DMA_ADC_BYTES_PER_BURST                 (1u)
#define DMA_ADC_REQUEST_PER_BURST               (1u)
#define DMA_ADC_SRC_BASE                        (CYDEV_PERIPH_BASE)
#define DMA_ADC_DST_BASE                        (CYDEV_SRAM_BASE)

void DMA_Init(void);
uint8 ADC_VALUE = 0u, RMS = 0u;
uint8 DMA_ADC_Chan;
uint8 DMA_ADC_TD[1];

uint8 dma_stga_in_channel;
uint8 dma_stga_in_td;
uint8 dma_stga_out_channel;
uint8 dma_stga_out_td;
uint8 dma_ack_channel, dma_ack_td;

CY_ISR(DFB_OUT)
{    
    DFB_SetSemaphores(DFB_SEM1);
}
CY_ISR(Comparator_ISR)
{ 
    
}
void DMA_Init(void)
{	
    /* DMA_IN_A */
    dma_stga_in_td = CyDmaTdAllocate();
    dma_stga_in_channel = DMA_IN_A_DmaInitialize(2u, 1u, HI16((uint32)&ADC_VALUE), HI16((uint32)DFB_STAGEA_PTR));    
    CyDmaTdSetConfiguration(dma_stga_in_td, 1u, DMA_INVALID_TD, DMA_IN_A__TD_TERMOUT_EN );    
	CyDmaTdSetAddress(dma_stga_in_td, LO16((uint32)&ADC_VALUE), LO16((uint32)DFB_STAGEA_PTR));
	CyDmaChSetInitialTd(dma_stga_in_channel, dma_stga_in_td);
	CyDmaChEnable(dma_stga_in_channel, 1u);
	
    /* DMA_OUT_A */
    dma_stga_out_td = CyDmaTdAllocate();
    dma_stga_out_channel = DMA_OUT_A_DmaInitialize(2u, 1u, HI16((uint32)DFB_HOLDA_PTR), HI16((uint32)&RMS));	
    CyDmaTdSetConfiguration(dma_stga_out_td, 1u, DMA_INVALID_TD, (DMA_OUT_A__TD_TERMOUT_EN | TD_INC_DST_ADR));
    CyDmaTdSetAddress(dma_stga_out_td, LO16((uint32)DFB_HOLDA_PTR), LO16((uint32)&RMS));
	CyDmaChSetInitialTd(dma_stga_out_channel, dma_stga_out_td);
	CyDmaChEnable(dma_stga_out_channel, 1u);
    
    /* DMA_ADC */
        DMA_ADC_Chan = DMA_ADC_DmaInitialize(
        DMA_ADC_BYTES_PER_BURST, 
        DMA_ADC_REQUEST_PER_BURST,
        HI16(DMA_ADC_SRC_BASE), 
        HI16(DMA_ADC_DST_BASE));
    
    DMA_ADC_TD[0u] = CyDmaTdAllocate();
    CyDmaTdSetConfiguration(DMA_ADC_TD[0u], 1u, DMA_ADC_TD[0u], DMA_ADC__TD_TERMOUT_EN);
    CyDmaTdSetAddress(DMA_ADC_TD[0u], LO16((uint32)ADC_SAR_SAR_WRK0_PTR), LO16((uint32)&ADC_VALUE));
    CyDmaChSetInitialTd(DMA_ADC_Chan, DMA_ADC_TD[0u]);
    CyDmaChEnable(DMA_ADC_Chan, 1u);
}
int main()
{
	CYGlobalIntEnable;	
    
	DFB_Start();    
	DFB_SetCoherency(DFB_STGA_KEY_MID | DFB_STGB_KEY_MID | DFB_HOLDA_KEY_MID | DFB_HOLDB_KEY_MID);  
    DMA_Init();    
	
    ISR_DFB_Out_StartEx(DFB_OUT);           
    ISR_Comparator_StartEx(&Comparator_ISR);
    Clock_Debouncer_CT_Line_Start();
    
    ADC_SAR_Start();
    ADC_SAR_StartConvert();
    ADC_SAR_IRQ_Disable();
    
    DVDAC_Current_Line_Start();
    Comp_CT_Line_Start();
    
    CYGlobalIntEnable;
    
    for(;;)
    {

    }
}

/* [] END OF FILE */
